Last modified: 2014-03-27 18:35:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56522 - Remove 'wrongpassword' message reuse on Special:ChangeEmail
Remove 'wrongpassword' message reuse on Special:ChangeEmail
Status: PATCH_TO_REVIEW
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.23.0
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy, i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-11-02 22:43 UTC by Umherirrender
Modified: 2014-03-27 18:35 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2013-11-02 22:43:45 UTC
dewiki has added a link to message wrongpassword which is shown as plain html when input a wrong password on Special:ChangeEmail.
Comment 1 Andre Klapper 2013-11-04 10:35:57 UTC
"Das Passwort und/oder das Sicherheitswort (CAPTCHA) ist falsch oder wurde nicht eingegeben. Bitte versuche es erneut oder lass dir das Passwort per E-Mail zusenden. Du kannst auch <a href="//de.wikipedia.org/wiki/Spezial:Userlogin/signup">ein neues Benutzerkonto erstellen</a>"

as per https://de.wikipedia.org/w/index.php?title=Wikipedia:Fragen_zur_Wikipedia&oldid=124113389#E-Mail-Adresse_.C3.A4ndern
Comment 2 This, that and the other (TTO) 2013-11-17 08:54:50 UTC
Inconsistency between wikitext and HTML... what a surprise.

UserloginTemplate expects its messages in HTML:

  <?php $this->html( 'message' ); ?>

Whereas SpecialChangeEmail expects wikitext:

  $this->getOutput()->wrapWikiMsg( "<p class='error'>\n$1\n</p>", $msg );

I guess we just change ChangeEmail to expect HTML, and officially make wrongpassword a HTML message.

sigh...
Comment 3 Gerrit Notification Bot 2013-11-17 09:29:12 UTC
Change 95848 had a related patch set uploaded by TTO:
Make Special:ChangeEmail use HTML messages instead of wikitext

https://gerrit.wikimedia.org/r/95848
Comment 4 Gerrit Notification Bot 2013-11-19 10:29:11 UTC
Change 95848 abandoned by TTO:
Make Special:ChangeEmail use HTML messages instead of wikitext

Reason:
Per Nikerabbit. Change is not going to be accepted.

https://gerrit.wikimedia.org/r/95848
Comment 5 Nemo 2013-11-19 12:35:43 UTC
Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.
Comment 6 Alex Ivanov 2013-12-15 15:55:50 UTC
I don't think that something should be changed here. The wiki markup for external references[1] can be used as an alternative for this message.

[1]: https://meta.wikimedia.org/wiki/Help:HTML_in_wikitext#Permitted_HTML
Comment 7 Umherirrender 2013-12-15 19:49:45 UTC
See comment 2, the message is used at two places in core, at the first place it is rendered as wikitext, at the other place the message is rendered as html, there is no way to create a message which is working in both cases, because the one render does not know about [], the other not about <a></a>.
Comment 8 Nemo 2013-12-15 23:07:00 UTC
(In reply to comment #7)
> See comment 2, the message is used at two places in core, at the first place
> it
> is rendered as wikitext, at the other place the message is rendered as html,
> there is no way to create a message which is working in both cases, because
> the
> one render does not know about [], the other not about <a></a>.

Then the message must be split. It wouldn't be bad to also get SpecialChangeEmail to not use an HTML message though.
Comment 9 Gerrit Notification Bot 2014-01-01 11:26:37 UTC
Change 104797 had a related patch set uploaded by Umherirrender:
Add message wrongpassword as html on Special:ChangeEmail

https://gerrit.wikimedia.org/r/104797
Comment 10 Gerrit Notification Bot 2014-01-24 19:28:54 UTC
Change 104797 abandoned by Umherirrender:
Add message wrongpassword as html on Special:ChangeEmail

Reason:
Language team prefers a new message, will rewrite bug summary.

https://gerrit.wikimedia.org/r/104797
Comment 11 Umherirrender 2014-01-24 19:31:19 UTC
Language team prefers a new message, so rewrite the bug summary to document the fact. Resetting to NEW, because the existing patch is no longer useful.

Similar to bug 53655
Comment 12 Gerrit Notification Bot 2014-03-27 12:53:39 UTC
Change 121367 had a related patch set uploaded by Ganeshaditya1:
Add message wrongpassword as html and remove its reuse in Special:ChangeEmail

https://gerrit.wikimedia.org/r/121367
Comment 13 Gerrit Notification Bot 2014-03-27 18:35:51 UTC
Change 121367 abandoned by Ganeshaditya1:
Add message wrongpassword as html and remove its reuse in Special:ChangeEmail

Reason:
Messed up ..

https://gerrit.wikimedia.org/r/121367

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links